Create a prospect
Needs: Prospects, Read-write
Creates a prospect, as Add prospect does. It starts in New. Use the edit endpoint afterwards to change its stage, or add a note to record a stage event and follow-up.
curl -X POST "https://app.imploy.com.au/api/integrations/v1/prospects" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"first_name": "Example",
"last_name": "Prospect",
"email": "example.prospect@example.com",
"phone": "0400 000 000",
"suburb": "Perth",
"funding_type": "NDIS",
"source": "Website",
"date_of_lead": "2026-02-20"
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/prospects"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"first_name": "Example",
"last_name": "Prospect",
"email": "example.prospect@example.com",
"phone": "0400 000 000",
"suburb": "Perth",
"funding_type": "NDIS",
"source": "Website",
"date_of_lead": "2026-02-20"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/prospects", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"first_name": "Example",
"last_name": "Prospect",
"email": "example.prospect@example.com",
"phone": "0400 000 000",
"suburb": "Perth",
"funding_type": "NDIS",
"source": "Website",
"date_of_lead": "2026-02-20"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"first_name": "Example",
"last_name": "Prospect",
"email": "example.prospect@example.com",
"phone": "0400 000 000",
"suburb": "Perth",
"funding_type": "NDIS",
"source": "Website",
"date_of_lead": "2026-02-20"
}`)
req, err := http.NewRequest("POST", "https://app.imploy.com.au/api/integrations/v1/prospects", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/prospects')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"first_name": "Example",
"last_name": "Prospect",
"email": "example.prospect@example.com",
"phone": "0400 000 000",
"suburb": "Perth",
"funding_type": "NDIS",
"source": "Website",
"date_of_lead": "2026-02-20"
}'
response = http.request(request)
puts response.body
{
"created": 21,
"data": {
"id": 21,
"name": "Example Prospect",
"first_name": "Example",
"last_name": "Prospect",
"email": "example.prospect@example.com",
"phone": "0400 000 000",
"suburb": "Perth",
"date_of_lead": "2026-02-20",
"stage": "New",
"tags": [],
"source": "Website",
"consultant": "Example Consultant",
"funding_type": "NDIS",
"followup_date": "2026-03-05",
"converted": false,
"client_id": null
}
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/prospects
Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The media type of the request body
The first name. Required on create.
The last name. Required on create.
Or null.
Or null.
Or null.
YYYY-MM-DD, or null.
YYYY-MM-DD. null clears it.
Where the lead came from, or null.
The consultant's name, as on the Prospects page, or null.
HCP, NDIS, CHSP or Private, or null.
Initial comments, or null. Use the note endpoints to record events.
Key and value pairs from the options endpoint. Lists for multiselect and checklist. null clears a value.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Body
The first name. Required on create.
The last name. Required on create.
Or null.
Or null.
Or null.
YYYY-MM-DD, or null.
YYYY-MM-DD. null clears it.
Where the lead came from, or null.
The consultant's name, as on the Prospects page, or null.
HCP, NDIS, CHSP or Private, or null.
Initial comments, or null. Use the note endpoints to record events.
Key and value pairs from the options endpoint. Lists for multiselect and checklist. null clears a value.